<?xml version="1.0" encoding="utf-8" ?>
<!--
Licensee: Universidad de La Frontera
License Type: Academic
-->
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
	<class name="orm.Persona" table="persona" lazy="false">
		<id name="id" column="id" type="integer" unsaved-value="0">
			<generator class="increment">
			</generator>
		</id>
		<property name="rut" column="rut" type="string" length="15" not-null="false" lazy="false"/>
		<property name="nombres" column="nombres" type="string" length="50" not-null="false" lazy="false"/>
		<property name="apellido_paterno" column="apellido_paterno" type="string" length="60" not-null="false" lazy="false"/>
		<property name="apellido_materno" column="apellido_materno" type="string" length="50" not-null="false" lazy="false"/>
		<property name="email" column="email" type="string" length="75" not-null="false" lazy="false"/>
		<property name="fecha_nacimiento" column="fecha_nacimiento" type="date" not-null="false" lazy="false"/>
		<one-to-one name="medico" class="orm.Medico" cascade="save-update,lock" property-ref="persona" lazy="proxy" access="field"/>
		<one-to-one name="paciente" class="orm.Paciente" cascade="save-update,lock" property-ref="persona" lazy="proxy" access="field"/>
		<one-to-one name="director" class="orm.Director" cascade="save-update,lock" property-ref="persona" lazy="proxy" access="field"/>
		<set name="ORM_Reserva" lazy="true" cascade="save-update,lock" inverse="true">
			<key column="persona_id_ingresa_reserva" not-null="true"/>
			<one-to-many class="orm.Reserva"/>
		</set>
		<set name="ORM_Rce_examen" lazy="true" cascade="save-update,lock" inverse="true">
			<key column="personaid" not-null="true"/>
			<one-to-many class="orm.Rce_examen"/>
		</set>
		<set name="ORM_Bitacora" lazy="true" cascade="save-update,lock" inverse="true">
			<key column="personaid" not-null="true"/>
			<one-to-many class="orm.Bitacora"/>
		</set>
	</class>
</hibernate-mapping>
